petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerSetType

Builds PetscViewer for a particular implementation.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetType(PetscViewer viewer,PetscViewerType type)

Collective on PetscViewer Many br

### Input Parameter

| viewer | - the PetscViewer context Many br
| type | - for example, PETSCVIEWERASCII Many br

### Options Database Command

-draw_type <type> -Sets the type; use -help for a list Many brof available methods (for instance, ascii) Many br

Many br

### Notes

See "include/petscviewer.h" for available methods (for instance, Many brPETSCVIEWERSOCKET) Many br

### See Also

PetscViewerCreate(), PetscViewerGetType(), PetscViewerType, PetscViewerPushFormat()

Level:advanced
Location:src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html